Bug 191663 - [PATCH] ftp/filezilla update to 3.8.1
Summary: [PATCH] ftp/filezilla update to 3.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-06 14:00 UTC by Matthew Rezny
Modified: 2014-08-24 09:53 UTC (History)
3 users (show)

See Also:


Attachments
patch update ftp/filezilla to 3.8.1 (3.79 KB, patch)
2014-07-06 14:00 UTC, Matthew Rezny
no flags Details | Diff
updated patch (3.17 KB, patch)
2014-08-23 16:06 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2014-07-06 14:00:36 UTC
Created attachment 144459 [details]
patch update ftp/filezilla to 3.8.1

This port got a rev bump a couple days ago, but better would be a version bump. Upstream released a minor version update over a month ago.

Attached is a patch to update the port to 3.8.1. Now depend on gnutls3 to satisfy the version check in configure.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-07-07 07:47:49 UTC
Over to maintainer.
Comment 2 John Marino freebsd_committer 2014-08-22 10:23:49 UTC
This PR timed out, it no longer needs approval.
Matther, based on your IRC comments, can you update the patch to apply against the tree as it is today?   

When that happens, I'll move it to patch ready.
Comment 3 John Marino freebsd_committer 2014-08-22 10:26:39 UTC
Matthew, while there, change this line:

BUILD_DEPENDS:=	${RUN_DEPENDS}


That's not allowed according to the porters handbook.  Replace RUN_DEPENDS with the value it was defined at the lines before.
Comment 4 Adam Weinberger freebsd_committer 2014-08-23 13:24:15 UTC
(In reply to John Marino from comment #3)
> Matthew, while there, change this line:
> 
> BUILD_DEPENDS:=	${RUN_DEPENDS}
> 
> 
> That's not allowed according to the porters handbook.  Replace RUN_DEPENDS
> with the value it was defined at the lines before.


No, BUILD_DEPENDS:= ${RUN_DEPENDS} is okay. What not okay is "BUILD_DEPENDS= ${RUN_DEPENDS}.
Comment 5 Matthew Rezny freebsd_committer 2014-08-23 16:06:04 UTC
Created attachment 146182 [details]
updated patch

The patch has been simplified now that gnutls is v3.
Comment 6 John Marino freebsd_committer 2014-08-23 16:17:32 UTC
moving to patch-ready as promised.
Comment 7 Kurt Jaeger freebsd_committer 2014-08-23 20:40:30 UTC
test on poudriere fails to build on 9.1-amd64:

http://people.freebsd.org/~pi/misc/ftp__filezilla-91a
Comment 8 commit-hook freebsd_committer 2014-08-24 09:52:34 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 24 09:52:07 UTC 2014
New revision: 365910
URL: http://svnweb.freebsd.org/changeset/ports/365910

Log:
  ftp/filezilla: 3.8.0 -> 3.9.0.3

  Changes: https://filezilla-project.org/versions.php

  PR:		191663
  Submitted by:	matthew@reztek.cz
  Approved by:	jsa (maintainer timeout)

Changes:
  head/ftp/filezilla/Makefile
  head/ftp/filezilla/distinfo
  head/ftp/filezilla/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2014-08-24 09:53:35 UTC
Committed, thanks!